Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Fri, 14 Jul 2017 09:24:58 +0300

On 7/14/17 9:11 AM, Eli Zaretskii wrote:

> You could use the new function line-number-display-width to obtain
> that information.

Thanks. The current patch seems preferable, though. And since you are 
saying it's good enough, it seems I have no need for the 
display-line-numbers-disable text property either, sorry.

> No, it isn't brittle.  What are you struggling to understand?  Maybe I
> can help.

To get the value of the current column, Emacs needs to trigger 
redisplay, right? To know how many columns the numbers take up. Then it 
has to redisplay again before the user sees the result.

So I'm surprised Emacs knows it needs to perform two redisplays just 
because I bound display-line-numbers to nil temporarily.